=== debian/changelog ===
libforms0.89 (0.89-6) frozen unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * add glibc2.1 binaries for m68k architecture (since this is a binary-only
    package without source code, m68k did not have a libforms0.89 package).
  * Package now has: 
    glibc2.1 version of 0.89 for i386, powerpc and alpha;
    glibc2.1 version of 0.89.1 for m68k.

 -- Peter S Galbraith <psg@debian.org>  Thu, 18 May 2000 11:51:31 -0400

libforms0.89 (0.89-5) frozen unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * add glibc2.1 binaries for alpha architecture (since this is a binary-only
    package without source code, alpha did not have a libforms0.89 package).
  * update copyright file to point to new web site.
  * minor license change.
  * Package now has: glibc2.1 version for i386, powerpc and alpha;
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 13 Apr 2000 13:40:32 -0400

libforms0.89 (0.89-4) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Had omitted symlink libforms.so -> libforms.so.0.89 in -dev package

 -- Peter S Galbraith <psg@debian.org>  Sun,  7 Nov 1999 18:57:04 -0500

libforms0.89 (0.89-3) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Removed compatibility symlink libforms.so.0.88->libforms.so.0.89
    because we also need a glibc2.1 version of libforms.so.0.88 since they
    are not fully compatible.  For example, Lyx is broken under V0.89.
  * Removed the `replaces, conflicts, provides: libforms0.88'
    since a glibc2.1 version of libforms0.88 is brought back to life.
  
 -- Peter S Galbraith <psg@debian.org>  Sat, 30 Oct 1999 13:02:41 -0400

libforms0.89 (0.89-2) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Added powerpc binaries
  * Hacked rules file to handle all architectures; scheme uses a native
    tar file format, which we will update whenever we add an architecture.
    close #27327: libforms0.88: there are more architectures available  
  * Removed the versioned depends libforms-dev had on libforms0.89 (= 0.89-1)

 -- Peter S Galbraith <psg@debian.org>  Wed, 13 Oct 1999 22:20:49 -0400

libforms0.89 (0.89-1) unstable; urgency=low

  * New upstream version (closes:Bug#43435)
  * Added original source location to copyright file (closes:Bug#44431)
  * Added compatibility symlink libforms.so.0.88->libforms.so.0.89.
  * Switced to latest debhelper tools.

 -- Michael Meskes <meskes@debian.org>  Mon, 27 Sep 1999 15:24:09 +0200

libforms0.88 (0.88.1-2) frozen unstable; urgency=low

  * Resolved file overlap between bo's xforms-dev and hamm's libforms-bin
    with a Replaces:.

 -- Ben Gertzfield <che@debian.org>  Wed, 13 May 1998 13:27:39 -0700

libforms0.88 (0.88.1-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Fri,  6 Mar 1998 18:32:11 -0800

libforms0.88 (0.88-4) unstable; urgency=low

  * Whoops, header should be in /usr/X11R6/include/X11, not
    /usr/X11R6/include/. Fixes bug #16691.
  * Commented out dh_du call in debian/rules, le sigh.

 -- Ben Gertzfield <che@debian.org>  Tue, 17 Feb 1998 14:59:07 -0800

libforms0.88 (0.88-3) unstable; urgency=low

  * Added in 'fdesign' program to -dev. Fixes bug #17811.
  * Moved binaries and libraries and headers into /usr/X11R6/. 
    Fixes bug #16691.
  * -dev package now Conflicts: with and Replaces: xforms-dev.
    Fixes bug #16691.

 -- Ben Gertzfield <che@debian.org>  Wed,  4 Feb 1998 17:36:02 -0800

libforms0.88 (0.88-2) unstable; urgency=low

  * Fixed shlibs file to make soname 0.88, not 0.

 -- Ben Gertzfield <che@debian.org>  Fri,  2 Jan 1998 22:12:50 -0800

libforms0.88 (0.88-1) unstable; urgency=low

  * Initial release.
  * No source available; binary only.

 -- Ben Gertzfield <che@debian.org>  Fri,  2 Jan 1998 16:11:09 -0800

Local variables:
mode: debian-changelog
add-log-mailing-address: "meskes@debian.org"
End:
