=== debian/control ===
Source: libforms0.89
Section: non-free/libs
Priority: optional
Maintainer: Michael Meskes <meskes@debian.org>
Standards-Version: 3.0.1.1

Package: libforms0.89
Architecture: i386 powerpc alpha m68k
Section: non-free/libs
Depends: ${shlibs:Depends}, xlib6g, xpm4g
Description: The XForms graphical interface widget library
 This package contains the XForms library, version 0.89.
 .
 XForms is available only in binary form; the source is not
 publically released.

Package: libforms-dev
Architecture: i386 powerpc alpha m68k
Section: non-free/devel
Depends: libc6 (>= 2.1), libforms0.89
Suggests: libforms-bin, libforms-doc
Conflicts: xforms-dev, libforms0.88-dev
Replaces: xforms-dev
Description: Header files and static libraries for the XForms widget library
 This package contains the header files and static libraries for the
 XForms library, version 0.89.
 .
 Install this package if you want to develop programs using the XForms
 library.
 .
 XForms is available only in binary form; the source is not publically
 released.

Package: libforms-bin
Architecture: i386 powerpc alpha m68k
Section: non-free/devel
Suggests: libforms-dev
Depends: ${shlibs:Depends}
Conflicts: libforms0.88-bin
Replaces: xforms-dev
Description: Support binaries for the XForms widget library
 This package includes the 'fdesign' XForms GUI designer and the
 'fd2ps' XForms to PostScript programs.
 .
 This package can be handy if you're an XForms developer.
