=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

ARCH=`dpkg --print-architecture`

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

# Build architecture-independent files here.
binary-indep: build

# Build architecture-dependent files here.
binary-arch: build libforms libforms-dev libforms-bin

libforms: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/X11R6/lib
	# Add here commands to install the files into debian/tmp
	echo "If the following fails, this architecture is not yet supported!"
	cp FORMS/$(ARCH)/libforms.so.0.89 debian/tmp/usr/X11R6/lib
#	(cd  debian/tmp/usr/X11R6/lib; ln -s libforms.so.0.89 libforms.so.0.88)
	dh_installdocs Bugs Readme
	dh_installchangelogs Changes
	dh_strip 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs -m0.89
#	echo "libforms 0.89 libforms0.89" >> debian/tmp/DEBIAN/shlibs
	dh_md5sums
	dh_builddeb

libforms-dev: build
	dh_testdir -plibforms-dev
	dh_testroot -plibforms-dev
	dh_clean -k -plibforms-dev
	dh_installdirs -plibforms-dev usr/X11R6/lib usr/X11R6/include/X11
	# Add here commands to install the files into debian/tmp
	cp FORMS/$(ARCH)/libforms.a debian/libforms-dev/usr/X11R6/lib
	ln -s libforms.so.0.89 debian/libforms-dev/usr/X11R6/lib/libforms.so
	cp FORMS/forms.h debian/libforms-dev/usr/X11R6/include/X11
	dh_installdocs -plibforms-dev
	dh_installchangelogs -plibforms-dev
	dh_strip -plibforms-dev
	dh_compress -plibforms-dev
	dh_fixperms -plibforms-dev
	dh_installdeb -plibforms-dev
	dh_shlibdeps -plibforms-dev
	dh_gencontrol -plibforms-dev
	dh_md5sums -plibforms-dev
	dh_builddeb -plibforms-dev

libforms-bin: build
	dh_testdir -plibforms-bin
	dh_testroot -plibforms-bin
	dh_clean -k -plibforms-bin
	dh_installdirs -plibforms-bin usr/X11R6/man/man1 \
	  usr/X11R6/man/man5 usr/X11R6/bin
	# Add here commands to install the files into debian/tmp
	cp DESIGN/$(ARCH)/fdesign debian/libforms-bin/usr/X11R6/bin
	cp DESIGN/fdesign.1 debian/libforms-bin/usr/X11R6/man/man1
	cp fd2ps/$(ARCH)/fd2ps debian/libforms-bin/usr/X11R6/bin
	cp fd2ps/fd2ps.1 debian/libforms-bin/usr/X11R6/man/man1
	dh_installdocs -plibforms-bin
	dh_installchangelogs -plibforms-bin
	dh_strip -plibforms-bin
	dh_compress -plibforms-bin
	dh_fixperms -plibforms-bin
	dh_installdeb -plibforms-bin
	dh_shlibdeps -plibforms-bin
	dh_gencontrol -plibforms-bin
	dh_md5sums -plibforms-bin
	dh_builddeb -plibforms-bin

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
