=== DEMOS/Makefile ===
--- 
+++ 
@@ -38,7 +38,8 @@
 	preemptive.o objreturn.o freedraw_leak.o lalign.o canvas.o\
 	iconify.o cursor.o objpos.o strsize.o timerprec.o ll.o \
 	inputall.o group.o butttypes.o folder.o popup.o scrollbar.o\
-	dirlist.o thumbwheel.o formbrowser.o ibrowser.o iconvert.o
+	dirlist.o thumbwheel.o formbrowser.o ibrowser.o iconvert.o \
+        itest.o
 #
 
 DEMOS= ${DEMOSO:.o=} 
@@ -73,14 +74,14 @@
 	-$(CC) $(LDFLAGS) -o $@ nnn.o crossbut.o $(LIBS)
 
 clean:
-	-rm -f  *.o core a.out *~
+	-rm -f  *.o core a.out log elog *~
 
 empty: clean
 	-rm -f $(DEMOS) 
 	-rm -f newbutton nnn elog mlog gl glwin demotest folder menubar\
                demotest1 demotest2 demotest3
 	-rm -f old*
-	-rm -f *ps
+	-rm -f *.ps *.ppm
 	-rm -f fd/*bak
