=== debian/changelog ===
libforms0.89 (0.89-12) unstable; urgency=low

  * debian/control: added s390 architecture. (closes: #120722)
  * Package now has: 
     glibc2.1 version for i386, powerpc, alpha, m68k, sparc, ia64 and s390.
  * Fix spelling mistake for word 'publicly' (closes: #124946, #124947)

 -- Peter S Galbraith <psg@debian.org>  Mon,  7 Jan 2002 13:38:03 -0500

libforms0.89 (0.89-11) unstable; urgency=low

  * debian/control: added ia64 architecture.
  * debian/rules: use forms.h from each arch instead of always the i386
    version, since the fixlevel version is different (e.g. 0.89.X).
  * Updated binaries for alpha.
  * debian/control: Updated to Standards-Version 3.5.6 without
    changes. The package breaks new X policy because it installs libraries
    under /usr/X11R6/lib and a header file under /usr/X11R6/include/X11.
    I'm hoping that a new 0.90 upstream package will allow me to make the
    transition out of /usr/X11R6 without problems for packages that depend
    on XForms.

 -- Peter S Galbraith <psg@debian.org>  Thu,  8 Nov 2001 15:21:27 -0500

libforms0.89 (0.89-10) unstable; urgency=low

  * debian/control: /usr/X11R6/include/X11/forms.h includes files like
    X11/Xlib.h from xlibs-dev so package libforms-dev needs to depend on
    it.

 -- Peter S Galbraith <psg@debian.org>  Tue,  4 Sep 2001 13:47:29 -0400

libforms0.89 (0.89-9) unstable; urgency=low

  * New maintainer
  * Changed depends from xpm4g to libxpm4 (closes: #70561)
  * Updated to Standards-Version 3.1.1 (Build-Depends)

 -- Peter S Galbraith <psg@debian.org>  Thu, 14 Sep 2000 12:37:47 -0400

libforms0.89 (0.89-8) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Added glibc2.1 binaries for sparc.
  * Package now has: 
     glibc2.1 version of 0.89 for i386, powerpc, alpha, m68k and sparc.

 -- Peter S Galbraith <psg@debian.org>  Tue, 15 Aug 2000 09:09:55 -0400

libforms0.89 (0.89-7) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Package libforms-dev now depends on libc6-dev instead of libc6 (>= 2.1)
  * Updated i386 binaries and demo sources to current upstream version.
  * Package now has: 
     glibc2.1 version of 0.89 for i386, powerpc and alpha and m68k.

 -- Peter S Galbraith <psg@debian.org>  Mon,  7 Aug 2000 14:11:51 -0400
