=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: libforms0.89
 Section: non-free/libs
 Priority: optional
-Maintainer: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.0.1.1
+Maintainer: Peter S Galbraith <psg@debian.org>
+Build-Depends: debhelper
+Standards-Version: 3.5.6
 
 Package: libforms0.89
-Architecture: i386 powerpc alpha m68k
+Architecture: i386 powerpc alpha m68k sparc ia64 s390
 Section: non-free/libs
-Depends: ${shlibs:Depends}, xlib6g, xpm4g
+Depends: ${shlibs:Depends}, xlib6g, libxpm4
 Description: The XForms graphical interface widget library
  This package contains the XForms library, version 0.89.
  .
  XForms is available only in binary form; the source is not
- publically released.
+ publicly released.
 
 Package: libforms-dev
-Architecture: i386 powerpc alpha m68k
+Architecture: i386 powerpc alpha m68k sparc ia64 s390
 Section: non-free/devel
-Depends: libc6 (>= 2.1), libforms0.89
+Depends: libc6-dev, libforms0.89, xlibs-dev
 Suggests: libforms-bin, libforms-doc
 Conflicts: xforms-dev, libforms0.88-dev
 Replaces: xforms-dev
@@ -28,11 +29,11 @@
  Install this package if you want to develop programs using the XForms
  library.
  .
- XForms is available only in binary form; the source is not publically
+ XForms is available only in binary form; the source is not publicly
  released.
 
 Package: libforms-bin
-Architecture: i386 powerpc alpha m68k
+Architecture: i386 powerpc alpha m68k sparc ia64 s390
 Section: non-free/devel
 Suggests: libforms-dev
 Depends: ${shlibs:Depends}
