=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	# Add here commands to install the files into debian/tmp
 	cp FORMS/$(ARCH)/libforms.a debian/libforms-dev/usr/X11R6/lib
 	ln -s libforms.so.0.89 debian/libforms-dev/usr/X11R6/lib/libforms.so
-	cp FORMS/forms.h debian/libforms-dev/usr/X11R6/include/X11
+	cp FORMS/$(ARCH)/forms.h debian/libforms-dev/usr/X11R6/include/X11
 	dh_installdocs -plibforms-dev
 	dh_installchangelogs -plibforms-dev
 	dh_strip -plibforms-dev
